"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = void 0;
var react_1 = require("react");
var react_redux_1 = require("react-redux");
var storeRegistry_1 = require("./storeRegistry");
var Provider = function (_a) {
    var _b = _a.store, store = _b === void 0 ? (0, storeRegistry_1.getStore)() : _b, context = _a.context, children = _a.children;
    return (0, react_1.createElement)(react_redux_1.Provider, { store: store, context: context }, children);
};
exports.Provider = Provider;
